#!/usr/bin/python
# -*- coding: utf8 -*-
#
# Задача "Гонки"
# XVIII командный чемпионат школьников Санкт-Петербурга по программированию
# Автор задачи: ?
# Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru

with open('race.in') as inf:
    t1, v1, t2, v2 = [int(s) for s in inf.readline().split()]
    x = int(inf.readline())

T1 = (x - 1) / (t1 * v1) * t1 * 2 + (x - (x - 1) / (t1 * v1) * (t1 * v1)) / (1. * v1)
T2 = (x - 1) / (t2 * v2) * t2 * 2 + (x - (x - 1) / (t2 * v2) * (t2 * v2)) / (1. * v2)

print >>open('race.out', 'w'), 'First' if T1 < T2 else 'Draw' if T1 == T2 else 'Second'
